summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorElias Werberich2021-09-17 16:40:31 +0200
committerElias Werberich2021-09-17 16:40:31 +0200
commitae00aa4302baed049a3351206be1ba3bc490c73e (patch)
tree3b16c8d0f12b93e9a9ddedc4ca216578d104019b
downloadaur-ae00aa4302baed049a3351206be1ba3bc490c73e.tar.gz
Initialize AUR package with upstream v1.0.0
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD48
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..29de08123df
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = changie
+ pkgdesc = Automated changelog tool for preparing releases with lots of customization options.
+ pkgver = 1.0.0
+ pkgrel = 1
+ epoch = 0
+ url = https://github.com/miniscruff/changie
+ arch = x86_64
+ license = MIT
+ makedepends = go
+ source = git+https://github.com/miniscruff/changie#tag=v1.0.0
+ sha256sums = SKIP
+
+pkgname = changie
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..57fc82c418d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Elias Werberich <elias@werberich.de>
+
+pkgname=changie
+pkgver=1.0.0
+pkgrel=1
+epoch=0
+pkgdesc="Automated changelog tool for preparing releases with lots of customization options."
+arch=('x86_64')
+url="https://github.com/miniscruff/changie"
+license=('MIT')
+depends=()
+makedepends=('go')
+conflicts=()
+source=("git+https://github.com/miniscruff/changie#tag=v$pkgver")
+sha256sums=('SKIP')
+
+prepare() {
+ mkdir -p "src/github.com/miniscruff"
+ mv "changie" "src/github.com/miniscruff/changie"
+ case $CARCH in
+ "x86_64")
+ _GOARCH="amd64"
+ ;;
+ *)
+ echo "Selected architecture is unsupported."
+ exit 1
+ ;;
+ esac
+}
+
+build() {
+ cd "$srcdir/src/github.com/miniscruff/changie"
+ GOOS=linux \
+ GOARCH=${_GOARCH} \
+ GOARM=${_GOARM} \
+ CGO_ENABLED=0 \
+ GOPATH="$srcdir" \
+ go build \
+ -o "$srcdir/changie" \
+ -gcflags "all=-trimpath=$srcdir" \
+ -asmflags "all=-trimpath=$srcdir" \
+ -ldflags "-extldflags ${LDFLAGS} -X main.version=$pkgver" \
+ "github.com/miniscruff/changie"
+}
+
+package() {
+ install -Dm0755 "$srcdir/changie" "$pkgdir/usr/bin/changie"
+}